Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class SimpleDomainEditor

    java.lang.Object
      ix.iview.SimpleDomainEditor

All Implemented Interfaces:
  InternalDomainEditor, java.awt.event.ActionListener, java.util.EventListener

    public class SimpleDomainEditor

extends java.lang.Object
implements InternalDomainEditor, java.awt.event.ActionListener

A simple domain editor.

Nested Class Summary
`(package private) class` | `SimpleDomainEditor.EditException` Used to indicate why an editing command cannot be carried out.
`protected class` | `SimpleDomainEditor.RefinementEditor` Simple refinement-editing panel.
`static class` | `SimpleDomainEditor.TemporalConstraintPanel` A subpanel of the refinement editor that handles the choice between parallel and sequential ordering contraints on a refinement's nodes.

Field Summary
`(package private) IXAgent` | `agent`
`(package private) java.awt.Container` | `contentPane`
`(package private) Domain` | `dom`
`(package private) javax.swing.JFrame` | `frame`
`(package private) SimpleDomainEditor.RefinementEditor` | `refinementEditor`
`(package private) javax.swing.JMenu` | `refinementMenu`

Constructor Summary
`SimpleDomainEditor(IXAgent agent, Domain dom)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`protected void` | `clearDomain()`
`protected void` | `ensureRefinementEditor()`
`protected javax.swing.JMenuBar` | `makeMenuBar()`
`protected javax.swing.JMenuItem` | `makeMenuItem(java.lang.String text)`
`static boolean` | `orderingsAreSequential(java.util.List nodes, java.util.List orderings)`
`static ix.icore.domain.ListOfNodeSpec` | `parseNodes(java.lang.String expansion)`
`protected void` | `populateRefinementMenu()`
`void` | `saveExpansion(Refinement r)`
`static ix.icore.domain.ListOfOrdering` | `sequentialOrderings(java.util.List nodes)`
`void` | `setLocation(int x, int y)`
`protected void` | `setUpFrame()`
`void` | `setVisible(boolean v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    javax.swing.JFrame frame

### contentPane

    java.awt.Container contentPane

### refinementMenu

    javax.swing.JMenu refinementMenu

### refinementEditor

    SimpleDomainEditor.RefinementEditor refinementEditor

### agent

    IXAgent agent

### dom

    Domain dom

Constructor Detail

### SimpleDomainEditor

    public SimpleDomainEditor(IXAgent agent,
                              Domain dom)

Method Detail

### setUpFrame

    protected void setUpFrame()

### setVisible

    public void setVisible(boolean v)

  Specified by:
    `setVisible` in interface `InternalDomainEditor`

### setLocation

    public void setLocation(int x,
                            int y)

### saveExpansion

    public void saveExpansion(Refinement r)

  Specified by:
    `saveExpansion` in interface `InternalDomainEditor`

### ensureRefinementEditor

    protected void ensureRefinementEditor()

### makeMenuBar

    protected javax.swing.JMenuBar makeMenuBar()

### makeMenuItem

    protected javax.swing.JMenuItem makeMenuItem(java.lang.String text)

### populateRefinementMenu

    protected void populateRefinementMenu()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### clearDomain

    protected void clearDomain()

### parseNodes

    public static ix.icore.domain.ListOfNodeSpec parseNodes(java.lang.String expansion)

### sequentialOrderings

    public static ix.icore.domain.ListOfOrdering sequentialOrderings(java.util.List nodes)

### orderingsAreSequential

    public static boolean orderingsAreSequential(java.util.List nodes,
                                                 java.util.List orderings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD